<html>
<head>
<title>Ogre::ResourceGroupListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ResourceGroupListener.html">ResourceGroupListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::ResourceGroupListener Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::ResourceGroupListener" -->
<p>This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load.  
 <a href="classOgre_1_1ResourceGroupListener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>&gt;</code></p>

<p><a href="classOgre_1_1ResourceGroupListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#af53d0887dbc49e858f590a7ae4fb0a31">~ResourceGroupListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#aef0cfe4119bc10ddef05f0e994d98566">resourceGroupScriptingStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, size_t scriptCount)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group begins parsing scripts.  <a href="#aef0cfe4119bc10ddef05f0e994d98566"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#aec5baaa909c2c43aeeb50f73c66a4433">scriptParseStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;scriptName, bool &amp;skipThisScript)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a script is about to be parsed.  <a href="#aec5baaa909c2c43aeeb50f73c66a4433"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a0812849496a42638b8b0d50d1800d94c">scriptParseEnded</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;scriptName, bool skipped)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when the script has been fully parsed.  <a href="#a0812849496a42638b8b0d50d1800d94c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#aeee89b287a1634e5645d9ade5e6d8752">resourceGroupScriptingEnded</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group finished parsing scripts.  <a href="#aeee89b287a1634e5645d9ade5e6d8752"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a6373c4d2c4be1754ba88075130090a4e">resourceGroupPrepareStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, size_t resourceCount)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group begins preparing.  <a href="#a6373c4d2c4be1754ba88075130090a4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a2127468fe0a61339f4a9e0490d8d6073">resourcePrepareStarted</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;resource)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a declared resource is about to be prepared.  <a href="#a2127468fe0a61339f4a9e0490d8d6073"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#ae00f90c7c6f719f3eccc6cf4f5088ed2">resourcePrepareEnded</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when the resource has been prepared.  <a href="#ae00f90c7c6f719f3eccc6cf4f5088ed2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a8de1d0b6cda474136c540f90d5b08fc9">worldGeometryPrepareStageStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;description)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a stage of preparing linked world geometry is about to start.  <a href="#a8de1d0b6cda474136c540f90d5b08fc9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#aa9e0e3419c71a37ba2d6b2530a58716b">worldGeometryPrepareStageEnded</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a stage of preparing linked world geometry has been completed.  <a href="#aa9e0e3419c71a37ba2d6b2530a58716b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#ae64fcd5c58ef20b4d030762b11662415">resourceGroupPrepareEnded</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group finished preparing.  <a href="#ae64fcd5c58ef20b4d030762b11662415"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#adefd1c2350a941fe79d4820f3418dfc0">resourceGroupLoadStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, size_t resourceCount)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group begins loading.  <a href="#adefd1c2350a941fe79d4820f3418dfc0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a6fe29dfb11fa16f06ab6fe83d7abee36">resourceLoadStarted</a> (const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;resource)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a declared resource is about to be loaded.  <a href="#a6fe29dfb11fa16f06ab6fe83d7abee36"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a658f1e741d27e594106a90391f08b2ab">resourceLoadEnded</a> (void)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when the resource has been loaded.  <a href="#a658f1e741d27e594106a90391f08b2ab"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a732dfe8e3bc33b9832aeaa0ac55ae3f3">worldGeometryStageStarted</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;description)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a stage of loading linked world geometry is about to start.  <a href="#a732dfe8e3bc33b9832aeaa0ac55ae3f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a167a566c1b0f45411fb19e6ec3f50976">worldGeometryStageEnded</a> (void)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a stage of loading linked world geometry has been completed.  <a href="#a167a566c1b0f45411fb19e6ec3f50976"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#a5a54d863d86588ba7971c54ec7f44541">resourceGroupLoadEnded</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This event is fired when a resource group finished loading.  <a href="#a5a54d863d86588ba7971c54ec7f44541"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a> group loading is in 2 phases - creating resources from declarations (which includes parsing scripts), and loading resources. Note that you don't necessarily have to have both; it is quite possible to just parse all the scripts for a group (see <a class="el" href="classOgre_1_1ResourceGroupManager.html#af5c901bfb116d7f70f4542bd828784f4" title="Initialises a resource group.">ResourceGroupManager::initialiseResourceGroup</a>, but not to load the resource group. The sequence of events is (* signifies a repeating item): <ul>
<li>
resourceGroupScriptingStarted </li>
<li>
scriptParseStarted (*) </li>
<li>
scriptParseEnded (*) </li>
<li>
resourceGroupScriptingEnded </li>
<li>
resourceGroupLoadStarted </li>
<li>
resourceLoadStarted (*) </li>
<li>
resourceLoadEnded (*) </li>
<li>
worldGeometryStageStarted (*) </li>
<li>
worldGeometryStageEnded (*) </li>
<li>
resourceGroupLoadEnded </li>
<li>
resourceGroupPrepareStarted </li>
<li>
resourcePrepareStarted (*) </li>
<li>
resourcePrepareEnded (*) </li>
<li>
resourceGroupPrepareEnded </li>
</ul>
</dd></dl>
<dl class="note"><dt><b>Note:</b></dt><dd>If OGRE_THREAD_SUPPORT is 1, this class is thread-safe. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00085">85</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af53d0887dbc49e858f590a7ae4fb0a31"></a><!-- doxytag: member="Ogre::ResourceGroupListener::~ResourceGroupListener" ref="af53d0887dbc49e858f590a7ae4fb0a31" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ResourceGroupListener.html#af53d0887dbc49e858f590a7ae4fb0a31">Ogre::ResourceGroupListener::~ResourceGroupListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00088">88</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5a54d863d86588ba7971c54ec7f44541"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupLoadEnded" ref="a5a54d863d86588ba7971c54ec7f44541" args="(const String &amp;groupName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a5a54d863d86588ba7971c54ec7f44541">Ogre::ResourceGroupListener::resourceGroupLoadEnded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group finished loading. </p>

</div>
</div>
<a class="anchor" id="adefd1c2350a941fe79d4820f3418dfc0"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupLoadStarted" ref="adefd1c2350a941fe79d4820f3418dfc0" args="(const String &amp;groupName, size_t resourceCount)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#adefd1c2350a941fe79d4820f3418dfc0">Ogre::ResourceGroupListener::resourceGroupLoadStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>resourceCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group begins loading. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">groupName</td><td>The name of the group being loaded </td></tr>
    <tr><td class="paramname">resourceCount</td><td>The number of resources which will be loaded, including a number of stages required to load any linked world geometry </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae64fcd5c58ef20b4d030762b11662415"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupPrepareEnded" ref="ae64fcd5c58ef20b4d030762b11662415" args="(const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#ae64fcd5c58ef20b4d030762b11662415">Ogre::ResourceGroupListener::resourceGroupPrepareEnded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group finished preparing. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00147">147</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6373c4d2c4be1754ba88075130090a4e"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupPrepareStarted" ref="a6373c4d2c4be1754ba88075130090a4e" args="(const String &amp;groupName, size_t resourceCount)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a6373c4d2c4be1754ba88075130090a4e">Ogre::ResourceGroupListener::resourceGroupPrepareStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>resourceCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group begins preparing. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">groupName</td><td>The name of the group being prepared </td></tr>
    <tr><td class="paramname">resourceCount</td><td>The number of resources which will be prepared, including a number of stages required to prepare any linked world geometry </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00120">120</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="aeee89b287a1634e5645d9ade5e6d8752"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupScriptingEnded" ref="aeee89b287a1634e5645d9ade5e6d8752" args="(const String &amp;groupName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#aeee89b287a1634e5645d9ade5e6d8752">Ogre::ResourceGroupListener::resourceGroupScriptingEnded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group finished parsing scripts. </p>

</div>
</div>
<a class="anchor" id="aef0cfe4119bc10ddef05f0e994d98566"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupScriptingStarted" ref="aef0cfe4119bc10ddef05f0e994d98566" args="(const String &amp;groupName, size_t scriptCount)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#aef0cfe4119bc10ddef05f0e994d98566">Ogre::ResourceGroupListener::resourceGroupScriptingStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>scriptCount</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a resource group begins parsing scripts. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>Remember that if you are loading resources through <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html" title="This class is used to perform Resource operations in a background thread.">ResourceBackgroundQueue</a>, these callbacks will occur in the background thread, so you should not perform any thread-unsafe actions in this callback if that's the case (check the group name / script name). </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">groupName</td><td>The name of the group </td></tr>
    <tr><td class="paramname">scriptCount</td><td>The number of scripts which will be parsed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a658f1e741d27e594106a90391f08b2ab"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceLoadEnded" ref="a658f1e741d27e594106a90391f08b2ab" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a658f1e741d27e594106a90391f08b2ab">Ogre::ResourceGroupListener::resourceLoadEnded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when the resource has been loaded. </p>

</div>
</div>
<a class="anchor" id="a6fe29dfb11fa16f06ab6fe83d7abee36"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceLoadStarted" ref="a6fe29dfb11fa16f06ab6fe83d7abee36" args="(const ResourcePtr &amp;resource)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a6fe29dfb11fa16f06ab6fe83d7abee36">Ogre::ResourceGroupListener::resourceLoadStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>resource</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a declared resource is about to be loaded. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resource</td><td>Weak reference to the resource loaded. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae00f90c7c6f719f3eccc6cf4f5088ed2"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourcePrepareEnded" ref="ae00f90c7c6f719f3eccc6cf4f5088ed2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#ae00f90c7c6f719f3eccc6cf4f5088ed2">Ogre::ResourceGroupListener::resourcePrepareEnded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when the resource has been prepared. </p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00131">131</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2127468fe0a61339f4a9e0490d8d6073"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourcePrepareStarted" ref="a2127468fe0a61339f4a9e0490d8d6073" args="(const ResourcePtr &amp;resource)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a2127468fe0a61339f4a9e0490d8d6073">Ogre::ResourceGroupListener::resourcePrepareStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__Resources.html#ga4697cc0c72aef3b488c7e058adf734ed">ResourcePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>resource</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a declared resource is about to be prepared. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">resource</td><td>Weak reference to the resource prepared. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00126">126</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0812849496a42638b8b0d50d1800d94c"></a><!-- doxytag: member="Ogre::ResourceGroupListener::scriptParseEnded" ref="a0812849496a42638b8b0d50d1800d94c" args="(const String &amp;scriptName, bool skipped)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a0812849496a42638b8b0d50d1800d94c">Ogre::ResourceGroupListener::scriptParseEnded</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>scriptName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>skipped</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when the script has been fully parsed. </p>

</div>
</div>
<a class="anchor" id="aec5baaa909c2c43aeeb50f73c66a4433"></a><!-- doxytag: member="Ogre::ResourceGroupListener::scriptParseStarted" ref="aec5baaa909c2c43aeeb50f73c66a4433" args="(const String &amp;scriptName, bool &amp;skipThisScript)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#aec5baaa909c2c43aeeb50f73c66a4433">Ogre::ResourceGroupListener::scriptParseStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>scriptName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>skipThisScript</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a script is about to be parsed. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">scriptName</td><td>Name of the to be parsed </td></tr>
    <tr><td class="paramname">skipThisScript</td><td>A boolean passed by reference which is by default set to false. If the event sets this to true, the script will be skipped and not parsed. Note that in this case the scriptParseEnded event will not be raised for this script. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa9e0e3419c71a37ba2d6b2530a58716b"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryPrepareStageEnded" ref="aa9e0e3419c71a37ba2d6b2530a58716b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#aa9e0e3419c71a37ba2d6b2530a58716b">Ogre::ResourceGroupListener::worldGeometryPrepareStageEnded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a stage of preparing linked world geometry has been completed. </p>
<p>The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>Text description of what was just prepared </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00145">145</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8de1d0b6cda474136c540f90d5b08fc9"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryPrepareStageStarted" ref="a8de1d0b6cda474136c540f90d5b08fc9" args="(const String &amp;description)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a8de1d0b6cda474136c540f90d5b08fc9">Ogre::ResourceGroupListener::worldGeometryPrepareStageStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a stage of preparing linked world geometry is about to start. </p>
<p>The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>Text description of what was just prepared </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h_source.html#l00137">137</a> of file <a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div>
<a class="anchor" id="a167a566c1b0f45411fb19e6ec3f50976"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryStageEnded" ref="a167a566c1b0f45411fb19e6ec3f50976" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a167a566c1b0f45411fb19e6ec3f50976">Ogre::ResourceGroupListener::worldGeometryStageEnded</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a stage of loading linked world geometry has been completed. </p>
<p>The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>Text description of what was just loaded </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a732dfe8e3bc33b9832aeaa0ac55ae3f3"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryStageStarted" ref="a732dfe8e3bc33b9832aeaa0ac55ae3f3" args="(const String &amp;description)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1ResourceGroupListener.html#a732dfe8e3bc33b9832aeaa0ac55ae3f3">Ogre::ResourceGroupListener::worldGeometryStageStarted</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This event is fired when a stage of loading linked world geometry is about to start. </p>
<p>The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>Text description of what was just loaded </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h_source.html">OgreResourceGroupManager.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:04
</p>
</body>
</html>
